-- Lookup table from the directories inside dictionaries archive to our system language names (in their appropriate encoding)
l = { }
l["ca"] = "catal";
l["da"] = "dansk";
l["de"] = "deutsch";
--l["de-AT"] = "deutsch-at";
--l["de-CH"] = "deutsch-ch";
--l["el"] = "greek";
l["en-US"] = "english";
l["en-GB"] = "english-gb";
--l["en-CA"] = "english-ca";
l["es"] = "espaol";
l["fr"] = "franais";
l["hu"] = "magyar";
l["it"] = "italiano";
l["nl"] = "nederlands";
l["nn"] = "norsk";
l["pl"] = "polski";
l["pt"] = "portugus";
l["sv"] = "svenska";

n = { }
n["ca"] = "Català (Catalan)";
n["da"] = "Dansk (Danish)";
n["de"] = "Deutsch (German)";
n["de-AT"] = "Deutsch-At (German)";
n["de-CH"] = "Deutsch-Ch (German)";
n["el"] = "ελληνικά (Greek)";
n["en-US"] = "English";
n["en-GB"] = "English-gb";
n["en-CA"] = "English-ca";
n["es"] = "Español (Spanish)";
n["fr"] = "Français (French)";
n["hu"] = "Magyar (Hungarian)";
n["it"] = "Italiano (Italian)";
n["nl"] = "Nederlands (Dutch)";
n["nn"] = "Norsk (Norwegian)";
n["pl"] = "Polski (Polish)";
n["pt"] = "Português (Portuguese)";
n["sv"] = "Svenska (Swedish)";

for code, language in pairs(l) do
	os.execute("mkdir -p \""..arg[1].."/"..language.."\"");
	os.execute("cp \"dictionaries/" .. code .. "/index.aff\" \""..arg[1].."/"..language.."/base.aff\"");
	os.execute("cp \"dictionaries/" .. code .. "/index.dic\" \""..arg[1].."/"..language.."/base.dic\"");
	os.execute("cp \"dictionaries/" .. code .. "/license\" \""..arg[1].."/"..language.."/license.txt\"");
	os.execute("echo '"..n[code].."' >\""..arg[1].."/"..language.."/name.txt\"");
end
